Gda.ProviderMeta – Gda-6.0 Reference Manual

# ProviderMeta

## Object Hierarchy:

## Description:

[ CCode ( type_cname = "GdaProviderMetaInterface" , type_id = "gda_provider_meta_get_type ()" ) ]
public interface ProviderMeta : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public abstract Connection connection { owned get; construct; }

### Static methods:

- public static Quark error_quark ()

### Methods:

- public abstract DataModel btypes () throws Error
- public abstract Row character_set (string chset_catalog, string chset_schema, string chset_name_n) throws Error
- public abstract DataModel character_sets () throws Error
- public abstract Row check_column (string table_catalog, string table_schema, string table_name, string constraint_name) throws Error
- public abstract DataModel check_columns () throws Error
- public abstract Row collation (string collation_catalog, string collation_schema, string collation_name_n) throws Error
- public abstract DataModel collations () throws Error
- public abstract DataModel columns () throws Error
- public abstract Row constraint_ref (string table_catalog, string table_schema, string table_name, string constraint_name) throws Error
- public abstract Row constraint_table (string table_catalog, string table_schema, string table_name, string constraint_name_n) throws Error
- public abstract DataModel constraints_ref () throws Error
- public abstract DataModel constraints_ref_table (string table_catalog, string table_schema, string table_name) throws Error
- public abstract DataModel constraints_table (string table_catalog, string table_schema, string table_name) throws Error
- public abstract DataModel constraints_tables () throws Error
- public abstract Row domain (string domain_catalog, string domain_schema) throws Error
- public abstract Row domain_constraint (string domain_catalog, string domain_schema, string domain_name, string constraint_name) throws Error
- public abstract DataModel domain_constraints (string domain_catalog, string domain_schema, string domain_name) throws Error
- public abstract DataModel domains () throws Error
- public abstract DataModel domains_constraints () throws Error
- public abstract Row element_type (string specific_name) throws Error
- public abstract DataModel element_types () throws Error
- public abstract Row enum_type (string udt_catalog, string udt_schema, string udt_name) throws Error
- public abstract DataModel enums_type () throws Error
- public DataModel? execute_query (string sql, Set? @params) throws Error
- public Row? execute_query_row (string sql, Set @params) throws Error
- public Connection get_connection ()
- public abstract Row index_col (string table_catalog, string table_schema, string table_name, string index_name) throws Error
- public abstract DataModel index_cols () throws Error
- public abstract Row index_table (string table_catalog, string table_schema, string table_name, string index_name_n) throws Error
- public abstract DataModel indexes_table (string table_catalog, string table_schema, string table_name) throws Error
- public abstract DataModel indexes_tables () throws Error
- public abstract Row key_column (string table_catalog, string table_schema, string table_name, string constraint_name) throws Error
- public abstract DataModel key_columns () throws Error
- public abstract Row routine (string routine_catalog, string routine_schema, string routine_name_n) throws Error
- public abstract Row routine_col (string rout_catalog, string rout_schema, string rout_name) throws Error
- public abstract Row routine_pars (string rout_catalog, string rout_schema, string rout_name) throws Error
- public abstract DataModel routines () throws Error
- public abstract DataModel routines_col () throws Error
- public abstract DataModel routines_pars () throws Error
- public abstract Row schemata (string catalog_name, string schema_name_n) throws Error
- public abstract DataModel schematas () throws Error
- public abstract Row table (string table_catalog, string table_schema, string table_name_n) throws Error
- public abstract Row table_column (string table_catalog, string table_schema, string table_name, string column_name) throws Error
- public abstract DataModel table_columns (string table_catalog, string table_schema, string table_name) throws Error
- public abstract DataModel tables () throws Error
- public abstract DataModel tables_columns () throws Error
- public abstract Row trigger (string table_catalog, string table_schema, string table_name) throws Error
- public abstract DataModel triggers () throws Error
- public abstract Row udt (string udt_catalog, string udt_schema) throws Error
- public abstract Row udt_col (string udt_catalog, string udt_schema, string udt_name) throws Error
- public abstract DataModel udt_cols () throws Error
- public abstract DataModel udts () throws Error
- public abstract Row view (string view_catalog, string view_schema, string view_name_n) throws Error
- public abstract Row view_column (string view_catalog, string view_schema, string view_name, string column_name) throws Error
- public abstract DataModel view_columns (string view_catalog, string view_schema, string view_name) throws Error
- public abstract DataModel views () throws Error
- public abstract DataModel views_columns () throws Error

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref